# List a brand profile's versions

`GET https://api.parasend.com/v1/brand_profiles/{id}/versions`

Source: https://parasend.com/docs/api/brand-profiles/versions

Authentication: `Authorization: Bearer <API key>` (a `ps_test_` key in test mode, `ps_live_` in live mode).

Every version, newest first. Versions never change once written.

## Path parameters

- `id` (string, required): The brand profile's ID, starting `bp_`.

## Query parameters

- `limit` (integer, optional): Default: `25`.
- `cursor` (string, optional)

## Example: List a brand profile's versions

```bash
curl "https://api.parasend.com/v1/brand_profiles/bp_01M6R27T817SW9MENZEV3KSZZX/versions" \
  -H "Authorization: Bearer $PARASEND_KEY"
```

```js
const res = await fetch('https://api.parasend.com/v1/brand_profiles/bp_01M6R27T817SW9MENZEV3KSZZX/versions', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.PARASEND_KEY}`,
  },
});
const data = await res.json();
```

## Response 200

Paginated list.

```json
{
  "data": [
    {
      "id": "bpv_01M6R27T8GSQN2QTAEXT32YPMY",
      "object": "brand_profile_version",
      "profile_id": "bp_01M6R27T817SW9MENZEV3KSZZX",
      "version": 2,
      "sender_display_name": "Fyrirtæki ehf.",
      "sender_display_name_dative": null,
      "logo": {
        "asset_id": "bas_01M6R27T7R9RDBHE6X72ZRW3YC",
        "url": "/v1/brand_assets/bas_01M6R27T7R9RDBHE6X72ZRW3YC/content",
        "sha256": "f72bdd36e6ce104c53c8f21bd9e618e113a66f4d6729d43a4cb07b3f1373addb",
        "width": 200,
        "height": 48
      },
      "monogram": "F",
      "sms_sender_name": null,
      "icon": null,
      "primary_color": "#0E5A8A",
      "contrast_ratio": 7.37,
      "header_style": "band",
      "support": {
        "email": null,
        "phone": null,
        "url": null
      },
      "expired_message": {
        "is": null,
        "en": null
      },
      "reply_to": null,
      "recipient_domain_id": null,
      "email_sender_id": null,
      "theme": {
        "colors": {
          "page_background": null,
          "card_background": null,
          "text": null,
          "secondary_text": null,
          "button_background": null,
          "button_text": null,
          "header_background": null,
          "header_text": null,
          "divider": null
        },
        "button_radius": null,
        "card_radius": null,
        "card_shadow": null,
        "font": null,
        "logo_height": null,
        "header_align": null,
        "show_safety_note": null,
        "show_support_line": null,
        "show_sender_line": null,
        "card_footer": null,
        "card_footer_text": {
          "is": null,
          "en": null
        },
        "layout": null,
        "page_image_asset_id": null,
        "logo_background": "tile",
        "show_name_with_logo": null,
        "show_service_label": null
      },
      "contrasts": {
        "text_on_card": 18.19,
        "links_on_card": 7.37,
        "header_text_on_header": 7.37,
        "button_text_on_primary": 7.37,
        "secondary_text_on_card": 5.98
      },
      "created_at": "2026-11-06T09:15:05.871Z",
      "created_by": {
        "user_id": "usr_01M6R27SYD4B50414S0BZ4KBKR",
        "via": "api_key"
      }
    },
    {
      "id": "bpv_01M6R27T82QZMJ98K4RGVQBRF0",
      "object": "brand_profile_version",
      "profile_id": "bp_01M6R27T817SW9MENZEV3KSZZX",
      "version": 1,
      "sender_display_name": "Fyrirtæki ehf.",
      "sender_display_name_dative": null,
      "logo": {
        "asset_id": "bas_01M6R27T7R9RDBHE6X72ZRW3YC",
        "url": "/v1/brand_assets/bas_01M6R27T7R9RDBHE6X72ZRW3YC/content",
        "sha256": "f72bdd36e6ce104c53c8f21bd9e618e113a66f4d6729d43a4cb07b3f1373addb",
        "width": 200,
        "height": 48
      },
      "monogram": "F",
      "sms_sender_name": null,
      "icon": null,
      "primary_color": "#1E5BB8",
      "contrast_ratio": 6.47,
      "header_style": "band",
      "support": {
        "email": null,
        "phone": null,
        "url": null
      },
      "expired_message": {
        "is": null,
        "en": null
      },
      "reply_to": null,
      "recipient_domain_id": null,
      "email_sender_id": null,
      "theme": {
        "colors": {
          "page_background": null,
          "card_background": null,
          "text": null,
          "secondary_text": null,
          "button_background": null,
          "button_text": null,
          "header_background": null,
          "header_text": null,
          "divider": null
        },
        "button_radius": null,
        "card_radius": null,
        "card_shadow": null,
        "font": null,
        "logo_height": null,
        "header_align": null,
        "show_safety_note": null,
        "show_support_line": null,
        "show_sender_line": null,
        "card_footer": null,
        "card_footer_text": {
          "is": null,
          "en": null
        },
        "layout": null,
        "page_image_asset_id": null,
        "logo_background": "tile",
        "show_name_with_logo": null,
        "show_service_label": null
      },
      "contrasts": {
        "text_on_card": 18.19,
        "links_on_card": 6.47,
        "header_text_on_header": 6.47,
        "button_text_on_primary": 6.47,
        "secondary_text_on_card": 5.98
      },
      "created_at": "2026-11-06T09:15:05.856Z",
      "created_by": {
        "user_id": "usr_01M6R27SYD4B50414S0BZ4KBKR",
        "via": "api_key"
      }
    }
  ],
  "has_more": false,
  "next_cursor": null
}
```

Errors: one shape, `{"error": {type, code, message, param, request_id}}`; every code is listed at https://parasend.com/docs/errors.
